import zope.interface
import zope.schema


class IZincViewerNote(zope.interface.Interface):
    """\
    Zinc Viewer note.
    """

    exnode = zope.schema.TextLine(
        title=u'Exnode file',
        description=u'The exnode file for this model.',
    )

    exelem = zope.schema.TextLine(
        title=u'Exelem file',
        description=u'The exelem file for this model.',
    )


class IJsonZincViewerNote(zope.interface.Interface):
    """\
    Zinx JSON viewer note.
    """

    json = zope.schema.TextLine(
        title=u'Json file',
        description=u'The json file that will initiate the viewer for '
                     'this model.',
    )


class IFieldMLMetadataNote(zope.interface.Interface):
    """\
    FieldML Metadata note.
    """

    title = zope.schema.TextLine(
        title=u'Title',
        description=u'Title of the model.',
    )

    creator = zope.schema.TextLine(
        title=u'Creator',
        description=u'Creator of the model.',
        required=False,
    )

    citation = zope.schema.TextLine(
        title=u'Citation',
        description=u'The citation source of this work.',
        required=False,
    )

    ispartof = zope.schema.TextLine(
        title=u'Citation Identifier',
        description=u'Identifier of the citation.',
        required=False,
    )

    description = zope.schema.TextLine(
        title=u'Description',
        description=u'Description of the model.',
        required=False,
    )
